cURL
curl --request GET \ --url https://us.infisical.com/api/v1/secret-syncs/1password/sync-name/{syncName}
{ "secretSync": { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "name": "<string>", "projectId": "<string>", "connectionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "createdAt": "2023-11-07T05:31:56Z", "updatedAt": "2023-11-07T05:31:56Z", "syncOptions": { "keySchema": "<string>", "disableSecretDeletion": true }, "connection": { "name": "<string>", "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a" }, "environment": { "slug": "<string>", "name": "<string>", "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a" }, "folder": { "id": "<string>", "path": "<string>" }, "destinationConfig": { "vaultId": "<string>", "valueLabel": "<string>" }, "description": "<string>", "isAutoSyncEnabled": true, "version": 1, "folderId": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "syncStatus": "<string>", "lastSyncJobId": "<string>", "lastSyncMessage": "<string>", "lastSyncedAt": "2023-11-07T05:31:56Z", "importStatus": "<string>", "lastImportJobId": "<string>", "lastImportMessage": "<string>", "lastImportedAt": "2023-11-07T05:31:56Z", "removeStatus": "<string>", "lastRemoveJobId": "<string>", "lastRemoveMessage": "<string>", "lastRemovedAt": "2023-11-07T05:31:56Z" } }
Get the specified 1Password Sync by name and project ID.
Documentation IndexFetch the complete documentation index at: https://infisical.com/docs/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://infisical.com/docs/llms.txt
Use this file to discover all available pages before exploring further.
The name of the 1Password Sync to retrieve.
1
The ID of the project the 1Password Sync is associated with.
Default Response
Show child attributes
Was this page helpful?